import request from "@/api/request";
import type { ID } from "@/api/common";

// 查询设备管理详细
export function getEquipmentByCode(code: string) {
  return request({
    url: '/basic/equipment/code/' + code,
    method: 'get'
  })
}

// 查询设备进站记录列表
export function listEquipmentEntry(params: any) {
  return request({
    url: "/mes/equipment-entry-log/list",
    method: "get",
    params,
  });
}

// 新增设备进站记录
export function addEquipmentEntry(data: any) {
  return request({
    url: "/mes/equipment-entry-log",
    method: "post",
    data,
  });
}

// 删除设备进站记录
export function delEquipmentEntry(id: ID) {
  return request({
    url: "/mes/equipment-entry-log/" + id,
    method: "delete",
  });
}
